package am.lodge.platform.model;

import am.lodge.base.model.BaseModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@CrudBean(name = "consultation")
@Table(name = "hz_consultation")
public class Consultation extends BaseModel {
    private String name;

    private String orgId;

    private String certificateType;//证件类型

    private String certificateNum;//证件号码

    private String socialCards;//社保卡号

    private String sex;//性别

    private Date birthDate;//出生日期

    private String nation;//民族

    private String maritalStatus;//婚姻状况

    private String workName;//工作单位

    private String mailingAddress;//通信地址

    private String phone;

    private String mobile;

    private String hospital;//申请单位

    private String consultationType;//会诊类型

    private String consultationWay;//会诊方式

    private String hospitalNum;//住院号

    private String patientType;//病人状态

    private String costType;//费用类别

    private String consultationUnit;//要求会诊单位

    private String medicineCollege;//医学专科

    private String medicalHistory;//病史

    private String diagnostics;//目前诊断与处理

    private String consultationPurposes;//会诊目的

    private Integer consultationStatus;//会诊状态

    private String consultationRoom;//会诊室

    private Date appointmentDate;//预约会诊日期

    private String patientid;//病历编号

    private String beginTime;//开始时间

    private String endTime;//结束时间

    private String classTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "ORG_ID")
    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    @Column(name = "CERTIFICATE_TYPE")
    public String getCertificateType() {
        return certificateType;
    }

    public void setCertificateType(String certificateType) {
        this.certificateType = certificateType;
    }

    @Column(name = "CERTIFICATE_NUM")
    public String getCertificateNum() {
        return certificateNum;
    }

    public void setCertificateNum(String certificateNum) {
        this.certificateNum = certificateNum;
    }

    @Column(name = "SOCIAL_CARDS")
    public String getSocialCards() {
        return socialCards;
    }

    public void setSocialCards(String socialCards) {
        this.socialCards = socialCards;
    }

    @Column(name = "SEX")
    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    @Column(name = "BIRTH_DATE")
    public Date getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(Date birthDate) {
        this.birthDate = birthDate;
    }

    @Column(name = "NATION")
    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    @Column(name = "MARITAL_STATUS")
    public String getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    @Column(name = "WORK_NAME")
    public String getWorkName() {
        return workName;
    }

    public void setWorkName(String workName) {
        this.workName = workName;
    }

    @Column(name = "MAILING_ADDRESS")
    public String getMailingAddress() {
        return mailingAddress;
    }

    public void setMailingAddress(String mailingAddress) {
        this.mailingAddress = mailingAddress;
    }

    @Column(name = "PHONE")
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Column(name = "MOBILE")
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Column(name = "HOSPITAL")
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Column(name = "CONSULTATION_TYPE")
    public String getConsultationType() {
        return consultationType;
    }

    public void setConsultationType(String consultationType) {
        this.consultationType = consultationType;
    }

    @Column(name = "CONSULTATION_WAY")
    public String getConsultationWay() {
        return consultationWay;
    }

    public void setConsultationWay(String consultationWay) {
        this.consultationWay = consultationWay;
    }

    @Column(name = "HOSPITAL_NUM")
    public String getHospitalNum() {
        return hospitalNum;
    }

    public void setHospitalNum(String hospitalNum) {
        this.hospitalNum = hospitalNum;
    }

    @Column(name = "PATIENT_TYPE")
    public String getPatientType() {
        return patientType;
    }

    public void setPatientType(String patientType) {
        this.patientType = patientType;
    }

    @Column(name = "COST_TYPE")
    public String getCostType() {
        return costType;
    }

    public void setCostType(String costType) {
        this.costType = costType;
    }

    @Column(name = "CONSULTATION_UNIT")
    public String getConsultationUnit() {
        return consultationUnit;
    }

    public void setConsultationUnit(String consultationUnit) {
        this.consultationUnit = consultationUnit;
    }

    @Column(name = "MEDICINE_COLLEGE")
    public String getMedicineCollege() {
        return medicineCollege;
    }

    public void setMedicineCollege(String medicineCollege) {
        this.medicineCollege = medicineCollege;
    }

    @Column(name = "MEDICAL_HISTORY")
    public String getMedicalHistory() {
        return medicalHistory;
    }

    public void setMedicalHistory(String medicalHistory) {
        this.medicalHistory = medicalHistory;
    }

    @Column(name = "DIAGNOSTICS")
    public String getDiagnostics() {
        return diagnostics;
    }

    public void setDiagnostics(String diagnostics) {
        this.diagnostics = diagnostics;
    }

    @Column(name = "CONSULTATION_PURPOSES")
    public String getConsultationPurposes() {
        return consultationPurposes;
    }

    public void setConsultationPurposes(String consultationPurposes) {
        this.consultationPurposes = consultationPurposes;
    }

    @Column(name = "CONSULTATION_STATUS")
    public Integer getConsultationStatus() {
        return consultationStatus;
    }

    public void setConsultationStatus(Integer consultationStatus) {
        this.consultationStatus = consultationStatus;
    }

    @Column(name = "CONSULTATION_ROOM")
    public String getConsultationRoom() {
        return consultationRoom;
    }

    public void setConsultationRoom(String consultationRoom) {
        this.consultationRoom = consultationRoom;
    }

    @Column(name = "APPOINTMENT_DATE")
    public Date getAppointmentDate() {
        return appointmentDate;
    }

    public void setAppointmentDate(Date appointmentDate) {
        this.appointmentDate = appointmentDate;
    }

    @Column(name = "BEGIN_TIME")
    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    @Column(name = "END_TIME")
    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getClassTime() {
        return classTime;
    }

    public void setClassTime(String classTime) {
        this.classTime = classTime;
    }

    @Column(name = "PATIENTID")
    public String getPatientid() {
        return patientid;
    }

    public void setPatientid(String patientid) {
        this.patientid = patientid;
    }
}
