package am.lodge.platform.model;

import am.lodge.base.model.BaseModel;
import am.lodge.model.User;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author am
 */
@CrudBean(name = "employee")
@Table(name = "SYS_EMPLOYEE")
public class Employee extends BaseModel {

  private String name;

  private String orgId;

  private String deptId;

  private Integer sex;

  private String idCard;

  private String telephone;

  private String postId;

  private String grade;//授课年级

  private String subjects;//授课科目

  private String bankAccount;//银行账号

  private String jobType;//在职类型

  private String level;//级别

  private String eMail;//邮箱

  private String qqNo;//QQ

  private Date workDate;//入职时间

  private Boolean formalEmployee;//是否正式员工

  private Date obtainmentDate;//转正日期

  private String address;//户籍

  private String noteEmployee;//备注

  private String postName;

  private String userId;

  private String orgName;

  @Column(name = "SEX")
  public Integer getSex() {
    return sex;
  }

  public void setSex(Integer sex) {
    this.sex = sex;
  }

  @Column(name = "IDCARD")
  public String getIdCard() {
    return idCard;
  }

  public void setIdCard(String idCard) {
    this.idCard = idCard;
  }

  @Column(name = "TELEPHONE")
  public String getTelephone() {
    return telephone;
  }

  public void setTelephone(String telephone) {
     this.telephone = telephone;
  }

  @Column(name = "POST_ID")
  public String getPostId() {
    return postId;
  }

  public void setPostId(String postId) {
    this.postId = postId;
  }

  @Column(name = "NAME")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  @Column(name = "ORG_ID")
  public String getOrgId() {
    return orgId;
  }

  public void setOrgId(String orgId) {
    this.orgId = orgId;
  }

  @Column(name = "DEPT_ID")
  public String getDeptId() {
    return deptId;
  }

  public void setDeptId(String deptId) {
    this.deptId = deptId;
  }

  public User createUser() {
    User user = new User();
    user.setId(getId());
    user.getAttr().put("name", getName());
    user.getAttr().put("orgId", getOrgId());
    user.getAttr().put("deptId", getDeptId());
    user.getAttr().put("orgName", getOrgName());
    return user;
  }

  @Column(name = "BANK_ACCOUNT")
  public String getBankAccount() {
    return bankAccount;
  }

  public void setBankAccount(String bankAccount) {
    this.bankAccount = bankAccount;
  }

  @Column(name = "JOB_TYPE")
  public String getJobType() {
    return jobType;
  }

  public void setJobType(String jobType) {
    this.jobType = jobType;
  }

  @Column(name = "LEVEL")
  public String getLevel() {
    return level;
  }

  public void setLevel(String level) {
    this.level = level;
  }

  @Column(name = "E_MAIL")
  public String geteMail() {
    return eMail;
  }

  public void seteMail(String eMail) {
    this.eMail = eMail;
  }

  @Column(name = "QQ_NO")
  public String getQqNo() {
    return qqNo;
  }

  public void setQqNo(String qqNo) {
    this.qqNo = qqNo;
  }

  @Column(name = "WORK_DATE")
  public Date getWorkDate() {
    return workDate;
  }

  public void setWorkDate(Date workDate) {
    this.workDate = workDate;
  }

  @Column(name = "FORMAL_EMPLOYEE")
  public Boolean getFormalEmployee() {
    return formalEmployee;
  }

  public void setFormalEmployee(Boolean formalEmployee) {
    this.formalEmployee = formalEmployee;
  }

  @Column(name = "OBTAINMENT_DATE")
  public Date getObtainmentDate() {
    return obtainmentDate;
  }

  public void setObtainmentDate(Date obtainmentDate) {
    this.obtainmentDate = obtainmentDate;
  }

  @Column(name = "ADDRESS")
  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  @Column(name = "NOTE_EMPLOYEE")
  public String getNoteEmployee() {
    return noteEmployee;
  }

  public void setNoteEmployee(String noteEmployee) {
    this.noteEmployee = noteEmployee;
  }

  @Column(name = "GRADE")
  public String getGrade() {
    return grade;
  }

  public void setGrade(String grade) {
    this.grade = grade;
  }

  @Column(name = "SUBJECTS")
  public String getSubjects() {
    return subjects;
  }

  public void setSubjects(String subjects) {
    this.subjects = subjects;
  }

  public String getPostName() {
    return postName;
  }

  public void setPostName(String postName) {
    this.postName = postName;
  }

  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public String getOrgName() {
    return orgName;
  }

  public void setOrgName(String orgName) {
    this.orgName = orgName;
  }
}
