package am.lodge.platform.service;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.List;
import java.util.Map;
import java.util.function.Function;

/**
 * @ClassName: ExcelService
 * @Description: 用于 Excel 相关操作
 * Modification History:
 * Date                  Author                 Version       Description
 * ---------------------------------------------------------
 * 2018/9/3     ZhangShuling       v1.0.0
 */
public interface ExcelService {

  /**
   * excel 导出
   * @param header  标题
   * @param data  数据
   * @param fileName 输出文件名
   * @param response
   * @throws Exception
   */
  public void export(Map<String, Object> header, List<Map<String, Object>> data, String fileName,
                     HttpServletResponse response) throws Exception;


  /**
   * 解析 excel中的第 index个sheet （从0开始）
   * @param in
   * @param sheetIndex
   * @return
   * @throws Exception
   */
  public   List<List<Object>>  parse(InputStream in, int sheetIndex) throws Exception;

  /**
   *  解析excel
   * @param in
   * @return
   * @throws Exception
   */
  public  List<List<List<Object>>>  parse(InputStream in) throws Exception;

  public void parseAndConsumer(HttpServletRequest request, HttpServletResponse response, int sheetIndex, Function function) throws Exception;
}
