package am.lodge.platform.service;

import am.lodge.persistence.CrudService;
import am.lodge.platform.model.*;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static am.lodge.platform.model.Role.ORG_ADMIN;
import static am.lodge.platform.model.User.ORG_USER;

/**
 * @author am
 */
@Service
public class OrgRoleService {

	@Autowired
	private CrudService crudService;

	@Autowired
	private SqlSessionTemplate template;

	@Transactional
	public Role createAdmin(String orgId) {
		Map<String, String> params = new HashMap();
		params.put("orgId", orgId);
		List<Role> list = template.selectList("RoleExtMapper.getRoleByOrg", params);
		if (!list.isEmpty()) {
			return list.iterator().next();
		}
		Employee employee = new Employee();
		employee.setName("机构管理员");
		employee.setOrgId(orgId);
		crudService.save(employee);
		params = new HashMap();
		params.put("id", orgId);
		Org org = (Org) template.selectList("OrgMapper.list", params).iterator().next();
		User user = new User();
		user.setUsername(org.getCode());
		user.setPassword("123");
		user.setPersonId(employee.getId());
		user.setType(ORG_USER);
		crudService.save(user);
		Role role = new Role();
		role.setType(ORG_ADMIN);
		role.setName("orgAdmin");
		role.setEnabled(true);
		crudService.save(role);
		RoleExt roleExt = new RoleExt();
		roleExt.setRoleId(role.getId());
		roleExt.setOrgId(orgId);
		crudService.save(roleExt);
		UserRole userRole = new UserRole();
		userRole.setRoleId(role.getId());
		userRole.setUserId(user.getId());
		crudService.save(userRole);
		return role;
	}
}
