package am.lodge.platform.service.impl;

import am.lodge.platform.model.Role;
import am.lodge.platform.model.RoleExt;
import am.lodge.platform.service.RoleService;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.IOException;
import java.util.UUID;

@Service
@Transactional
public class RoleServiceImpl implements RoleService {
    @Autowired
    private SqlSessionTemplate template;

    @Override
    public Role insertRole(String content) {
        ObjectMapper objectMapper = new ObjectMapper();
        Role role = new Role();
        try {
            role = objectMapper.readValue(content, Role.class);
        } catch (IOException e) {
            e.printStackTrace();
        }
        if(role.getId()==""){
            role.setId(UUID.randomUUID().toString().replaceAll("-", ""));
            template.insert("RoleExtMapper.insertRole",role);
            RoleExt roleExt = new RoleExt();
            roleExt.setRoleId(role.getId());
            roleExt.setOrgId(role.getOrgId());
            template.insert("RoleExtMapper.insertRoleExt",roleExt);
            return role;
        }else{
            template.update("RoleExtMapper.updateRole",role);
            return role;
        }

    }

    @Override
    public void deleteRole(String[] ids) {
        for (String id : ids) {
            template.delete("RoleExtMapper.deleteRole",id);
        }
        for (String id : ids) {
            template.delete("RoleExtMapper.deleteRoleExt",id);
        }

    }
}
