package am.lodge.security;

import am.lodge.platform.model.Employee;
import am.lodge.spring.security.userdetails.SsoAuthenticationSuccessService;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.userdetails.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

import static am.lodge.model.User.CURRENT_USER_KEY;

/**
 * @author am
 */
public class JdbcSsoAuthenticationSuccessService implements SsoAuthenticationSuccessService {
  private SqlSessionTemplate template;

  public JdbcSsoAuthenticationSuccessService(SqlSessionTemplate template){
    this.template = template;
  }

  @Override
  public void success(HttpServletRequest request, HttpServletResponse response, Authentication auth) {
    String userId = (String)auth.getPrincipal();
    Map<String, String> q = new HashMap<>();
    q.put("userId", userId);
    Employee p = template.selectOne("PersonMapper.getPersonByUser", q);
    request.getSession().setAttribute(CURRENT_USER_KEY, p.createUser());
  }
}
