package am.lodge.security;

import am.lodge.platform.model.Employee;
import am.lodge.spring.security.AjaxSavedRequestAwareAuthenticationSuccessHandler;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.userdetails.User;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static am.lodge.model.User.CURRENT_USER_KEY;
import static am.lodge.model.User.LOGIN_USER_ATTR;

/**
 * @author am
 */
public class UserInitHandler extends AjaxSavedRequestAwareAuthenticationSuccessHandler {

  private SqlSessionTemplate template;

  public UserInitHandler(SqlSessionTemplate template){
    this.template = template;
  }

  @Override
  public void onAuthenticationSuccess(
      HttpServletRequest request,
      HttpServletResponse response,
      Authentication auth) throws ServletException, IOException {
    User o = (User)auth.getPrincipal();
    Map<String, String> q = new HashMap<>();
    q.put("userName", o.getUsername());
    Employee p = template.selectOne("PersonMapper.getPersonByUser", q);
    request.getSession().setAttribute(CURRENT_USER_KEY, p.createUser());
    getResponseDate().put(LOGIN_USER_ATTR, p.createUser());
    super.onAuthenticationSuccess(request, response, auth);
  }
}
