DROP TABLE IF EXISTS SYS_ORG;
CREATE TABLE SYS_ORG(
  ID VARCHAR(32) NOT NULL,
  NAME VARCHAR(20) NOT NULL,
  PARENT_ID VARCHAR(32),
  LEAF BOOLEAN,
  LAST_UPDATE TIMESTAMP,
  PRIMARY KEY (ID)
);

DROP TABLE IF EXISTS SYS_DEPT;
CREATE TABLE SYS_DEPT(
  ID VARCHAR(32) NOT NULL,
  NAME VARCHAR(20) NOT NULL,
  PARENT_ID VARCHAR(32),
  LEAF BOOLEAN,
  LAST_UPDATE TIMESTAMP,
  PRIMARY KEY (ID)
);

DROP TABLE IF EXISTS SYS_EMPLOYEE;
CREATE TABLE SYS_EMPLOYEE(
  ID VARCHAR(32) NOT NULL,
  NAME VARCHAR(20) NOT NULL,
  ORG_ID VARCHAR(32) NOT NULL,
  DEPT_ID VARCHAR(32) NOT NULL,
  LAST_UPDATE TIMESTAMP,
  PRIMARY KEY (ID)
);

DROP TABLE IF EXISTS SYS_ORG_URL_RESOURCE;
CREATE TABLE SYS_ORG_URL_RESOURCE(
  ORG_ID VARCHAR(32) NOT NULL,
  URL_RESOURCE_ID VARCHAR(32) NOT NULL,
  PRIMARY KEY (ORG_ID, URL_RESOURCE_ID)
);

DROP TABLE IF EXISTS SYS_ROLE_EXT;
CREATE TABLE SYS_ROLE_EXT(
  ORG_ID VARCHAR(32) NOT NULL,
  ROLE_ID VARCHAR(32) NOT NULL,
  PRIMARY KEY (ORG_ID, ROLE_ID)
);